package types

import (
	"github.com/gin-gonic/gin"
	"gorm.io/gorm"
	"stereo.cat/backend/internal/auth/client"
)

type Route struct {
	Path   string
	Method string
	Exec   func(cfg *StereoConfig) gin.HandlerFunc
}

type StereoConfig struct {
	ImagePath string
	Router    *gin.Engine
	Client    client.Client
    Database  *gorm.DB
    JWTSecret string
}
